<html>
<!--    cibl&eacute; par: gestion-contrat.php 

		cible:  gestion-contrat.php						
 -->

<!-- param&egrave;tre &eacute;mis:        -session_id         le num&eacute;ro de la session
							-code_contrat
							-code_client

	 param&egrave;tre re&ccedil;evable :  -session_id         le num&eacute;ro de la session
	 						-code_contrat
							-code_client
	 
 -->			
 <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Ajout d'un chalet</title>

<!--**************************SCRIPT POUR LE CALCUL AUTOMATIQUE DANS LES CELLULES***********************  -->
<script type="text/javascript">
<!--
function majligne()
{
	var result;

	result = ((document.ajout_chalet.prix_par_jour.value/1) * (document.ajout_chalet.nuite.value/1)+document.ajout_chalet.frais_terrain.value/1);
	document.ajout_chalet.plein_prix.value = Math.round(result*100)/100;
}
//-->
</script> 
<!--**************************************************************************************************** -->

</head>


<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");
require("calendrier.php");
require("gestion-poste.php");
require("../historique.php");

//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if ($privilege_base != 2)
	die("Vous n'avez pas les droits!");
  
  $code_contrat = $_GET["code_contrat"];
  $code_client = $_GET["code_client"];
  $type_client = $_GET["type_client"];
  $num_chalet = $_GET["num_chalet"];
  $type = $_GET["type"];
  $nuite = $_GET["nuite"];
  $etape = $_GET["etape"];
  $prix_par_jour = $_GET["prix_par_jour"];
  $frais_terrain = $_GET["frais_terrain"];
  $plein_prix = $_GET["plein_prix"];
  $prix_reel = $_GET["prix_reel"];
  $chalet = $_GET["chalet"];
	
//*************************************************************************
// requ&ecirc;te pour avoir tout les clients

$sql = "SELECT num_chalet, nom  
          FROM base_ref1chalets
		 WHERE base_ref1chalets.actif = 'O'
		 ORDER BY nom asc;";

$result = mysql_query($sql) or die ("Ne peut lire dans la table ref1chalets".$sql);




//*****************************************************************************************************
// afficher les r&eacute;sultats *****************************************************************************
//*****************************************************************************************************
//Afficher le titre de la page.
   
	

if ($etape ==1)//enregistrer les donn&eacute;es
{




	//PREND UN BACKUP DES ANCIENNE DONN&Eacute;ES	
	$sql = "SELECT base_contrat.date_debut, base_contrat.date_fin, base_contrat.cal_debut, base_contrat.cal_fin, base_contrat.heure_debut, base_contrat.heure_fin
   			  FROM base_contrat
	 		 WHERE base_contrat.code_contrat = '$code_contrat';";
	$result2 = mysql_query($sql) or die ("Ne peut lire dans la table base_contrat<br><br>".$sql);
	$row2 = mysql_fetch_row ($result2);
	$row_date_debut = $row2[0];
	$row_date_fin = $row2[1];
	$row_cal_debut = $row2[2];
	$row_cal_fin = $row2[3];
	$row_heure_debut = $row2[4];
	$row_heure_fin = $row2[5];
	$stop = 0 ;
			
	//BACKUP DES ANCIENNES DONN&Eacute;ES AU CAS OU LA MODIFICATION N'EST PAS VALID&Eacute;		
	$sql = "SELECT base_contrat.date_debut, base_contrat.date_fin, base_contrat.cal_debut, base_contrat.cal_fin, base_contrat.heure_debut, base_contrat.heure_fin
	  		  FROM base_contrat
	 		 WHERE base_contrat.code_contrat = '$code_contrat';";
	$result2 = mysql_query($sql) or die ("Ne peut lire dans la table base_contrat<br><br>".$sql);
			$backup_chalet = mysql_fetch_row($result2);	

	//VALIDE LA NOUVELLES DATE	

		list ($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$array_c1,$array_c2,$array_c3,$array_c4) = calendrier($row_cal_debut,$row_cal_fin,$row_date_debut,$row_date_fin,$type,1,$chalet,$code_contrat,$type); //fonction dans calendrier.php,   le 1 est pour ajout
		$tableau_chalet[$j] = array($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$array_c1,$array_c2,$array_c3,$array_c4);
	
			
	//BOUCLE POUR CALCULER LA VALIDATION DE TOUT LES CHALETS
	if ($validation > 0)//si le calendrier est ok, on proc&egrave;de &agrave; la suite de l'enregistrement du contrat
	{
		$erreur = 0;
		//POUR CHAQUE ENREGISTREMENT DU CHALET
		for ($a = 0; $a<= $tableau_chalet[$j][5]; $a++)
		{
			$requete1 = $tableau_chalet[$j][4][$a]; 
			$etat1 = $tableau_chalet[$j][3][$a];
			$date1 = $tableau_chalet[$j][2][$a];
			$num_chalet1 = $tableau_chalet[$j][1];
			$c1=$tableau_chalet[$j][6][$a];
			$c2=$tableau_chalet[$j][7][$a];
			$c3=$tableau_chalet[$j][8][$a];
			$c4=$tableau_chalet[$j][9][$a];
		
			//SI C'EST POUR UN UPDATE
			if ($requete1 == 2)
			{
				$sql = "UPDATE base_calendrier SET etat = '$etat1',";
				if (!empty($c1))
					$sql .= "base_calendrier.c1 = '$c1',";		   
				if (!empty($c2))
					$sql .= "base_calendrier.c2 = '$c2',";
				if (!empty($c3))
					$sql .= "base_calendrier.c3 = '$c3',";
				if (!empty($c4))
					$sql .= "base_calendrier.c4 = '$c4',";		
				$sql.= "mis_a_jour = now()
						 WHERE base_calendrier.date = '$date1'
						   AND num_chalet = '$num_chalet1';";
				$result3 = mysql_query($sql)	or die ("Probl&egrave;me dupdate de la date: ".$date."<br>sql=".$sql."...<br>");
			}
			//SI C'EST POUR UN INSERT
			if ($requete1 == 1)
			{
				$sql = "INSERT INTO base_calendrier SET base_calendrier.date = '$date1',";
				if (!empty($c1))
					$sql .= "base_calendrier.c1 = '$c1',";		   
				if (!empty($c2))
					$sql .= "base_calendrier.c2 = '$c2',";
				if (!empty($c3))
					$sql .= "base_calendrier.c3 = '$c3',";
				if (!empty($c4))
					$sql .= "base_calendrier.c4 = '$c4',";		
									$sql .= "num_chalet = '$num_chalet1',
									etat = '$etat1',
									mis_a_jour = now();";
				$result2 = mysql_query($sql)	or die ("Probl&egrave;me d'enregistrement de la date: ".$date."<br><br>".$sql);
print("requete = ".$sql."<br>");	
			}
		}
			
		

	$plein_prix = ($prix_par_jour * $nuite) + $frais_terrain;		
	$sql = "INSERT INTO base_chalets
				    SET num_chalet = '$chalet',
					    code_contrat = '$code_contrat',
						reservation = 'N',
						prix_par_jour = '$prix_par_jour',
						frais_terrain = '$frais_terrain',
					    prix_plein = '$plein_prix',
					    prix_rabais = '$prix_reel',
					    actif = 'O',
					    date_modif = now(),
					    mis_a_jour = now();";
	$result = mysql_query($sql) or die("Probl&egrave;me de cr&eacute;ation des chalets!<br>".$sql);
	print("L'enregistrement &agrave; &eacute;t&eacute; un succ&egrave;s. Vous pouvez fermer cette fen&ecirc;tre.<br><br><br>");
	historique("../historique.txt","---ajout chalet: ".$chalet.", prixparjour: ".$prix_par_jour.", fraisterrain: ".$frais_terrain.", prix: ".$plein_prix.", prix_rabais: ".$prix_reel."",$Bsession_id);
	
	$prec_etat = 'O';
	GestionPoste(4,$type_client,$code_contrat,$code_client,0,$prix_reel,$chalet,'O');

	}
	if ($validation == 0)
	{
		$erreur = 1;
		print("<center><b><br>");
		print("La p&eacute;riode de location que vous avez choisi est d&eacute;j&agrave; occup&eacute; par un autre contrat. Veuillez en choisir une autre.<br><br>");
		print("<a href='#' onClick='history.go(-1)'><img src=bouton5.gif border=0></a>");
	}	


			
}	
	
	
	
	
	
	
	
	
if (empty($etape))//entrer les donn&eacute;es
{	

	historique("../historique.txt","MENU AJOUT D'UN CHALET",$Bsession_id);
	print("<center><table cellspacing=0 cellpadding=0 width=500px border=0>");
	print("<tr><td bgcolor=white width=27px><img src=coin-haut-gauche.gif></td>");
	print("<td bgcolor=#636300><a href=\"../calendrier/calendrier.php?Bsession_id=$Bsession_id\" target=blank><img src=bouton_calendrier.gif border=0></a>");
	print("<font face=Arial,Helvetica size=3 color=white><b>Ajout d'un chalet</b></td>");
	print("<td bgcolor=white width=27px><img src=coin-haut-droit.gif></td>");
	print("</td></tr></table>");


	//titre	   
	print("<table cellspacing=0 cellpadding=0 width=500px border=0>");	
	print("<tr><td bgcolor=#D6E4AC>");
	print("<b>Chalet</b>");
	print("</td><td bgcolor=#C8DB8D>");
	print("<b>Prix par jour</b>");
	print("</td><td bgcolor=#D6E4AC>");
	print("<b>Frais terrain</b>");
	print("</td><td bgcolor=#C8DB8D>");
	print("<b>Prix</b>");
	print("</td><td bgcolor=#D6E4AC>");
	print("<b><BR>Escompte</b>");

	print("<form action=\"ajout-chalet.php?Bsession_id=".$Bsession_id."\" method=\"get\" name=\"ajout_chalet\">");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=\"".$Bsession_id."\">");
	print("<input type=\"hidden\" name=\"code_contrat\" value=\"".$code_contrat."\">");
	print("<input type=\"hidden\" name=\"code_client\" value=\"".$code_client."\">");
	print("<input type=\"hidden\" name=\"type_client\" value=\"".$type_client."\">");				
	print("<input type=\"hidden\" name=\"type\" value=\"".$type."\">");
	print("<input type=\"hidden\" name=\"nuite\" value=\"".$nuite."\">");	
	print("<input type=\"hidden\" name=\"etape\" value=\"1\">");
	print("</td></tr><tr><td bgcolor=#D6E4AC valign=top>");
	
	//boite de selection
	print("<select name=\"chalet\">");
	$result = mysql_query($sql);
	while ($row = mysql_fetch_row ($result))
	{
		for ($i = 0; $i < mysql_num_fields ($result); $i++)
		{
			print ("<option value=\"");
			printf ("%s", htmlspecialchars ($row[$i++]));
			print ("\">");
			printf ("%s", htmlspecialchars ($row[$i]));
			print ("</option>");
		}
	}
	print("</td><td bgcolor=#C8DB8D>");
	//prix par jour
	print("<input type=text name=prix_par_jour align=top maxlength=10 size=10 onChange=majligne();>");
	print("</td><td bgcolor=#D6E4AC>");
	//frais terrain
	print("<input type=text name=frais_terrain align=top maxlength=10 size=10 onChange=majligne();>");
	print("</td><td bgcolor=#C8DB8D>");
	//prix plein
	print("<input type=text name=plein_prix align=top maxlength=10 size=10 DISABLED onfocus='this.blur();'>");
	print("</td><td bgcolor=#D6E4AC>");
	//Escompte
	print("<input type=\"text\" name=\"prix_reel\" align=\"top\" maxlength=\"10\" size=\"10\">");
	
	//bouton ajouter
	print("</td></tr><tr><td bgcolor=#E7EFCE colspan = 5><b><center><div align=right>");	
	print("<input type=\"submit\" value=\"Ajouter\"></form>");
	print("</td></tr>");
	
	// ajouter une location
	print("<tr><td bgcolor=#E7EFCE colspan=5><div align=right>");
	print("<form action=\"../reference/ref1chalets.php?Bsession_id=".$Bsession_id."\" method=post>");
   			print("<input type=hidden name=Bsession_id value=$Bsession_id>");
   			print("<input type=hidden name=etape value=2>");
			print("<input type=hidden name=pargestion value=1>");
   			print("<input type=submit name=back value=\"Cr&eacute;er un nouveau chalet\">");
    print("</form></td></tr></table>");
	
print("<center><table cellspacing=0 cellpadding=0 width=500px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-bas-gauche.gif></td>");
print("<td bgcolor=#636300 width=746px></td>");
print("<td bgcolor=white width=27px><img src=coin-bas-droit.gif></td>");
print("</tr></table>");	
	
	
}


	
?>

</body>
</html>	
	
	
	
	
